Skip to main content
`Ctrl`+`K`
scipy.sparse.coo_matrix.

# todense

coo_matrix.todense(order=None, out=None)

  Return a dense representation of this sparse matrix.

  Parameters:
    order{‘C’, ‘F’}, optional

      Whether to store multi-dimensional data in C (row-major) or Fortran (column-major) order in memory. The default is ‘None’, which provides no ordering guarantees. Cannot be specified in conjunction with the out argument.

    out ndarray, 2-D, optional

      If specified, uses this array (or `numpy.matrix`) as the output buffer instead of allocating a new array to return. The provided array must have the same shape and dtype as the sparse matrix on which you are calling the method.

  Returns:
    arr numpy.matrix, 2-D

      A NumPy matrix object with the same shape and containing the same data represented by the sparse matrix, with the requested memory order. If out was passed and was an array (rather than a `numpy.matrix`), it will be filled with the appropriate values and returned wrapped in a `numpy.matrix` object that shares the same memory.